<div class="col-md-8">
<div class="annotations-table-container">

  {{#if annotationsArray.length }}
    <div class="input-group"> <span class="input-group-addon">Quick Filter</span>
      <input id="filter-annotations" type="text" class="form-control" placeholder="For single column search only; use full filters search in multiple columns...">
    </div>
      <div class="scrollable-big-table-container">
        <table id="annotations-table" class="table-condensed table-hover table-fit">
            <thead>
              <tr>
                <th class="type">Type</th>
                <th class="text">Text</th>
                <th class="author">Author</th>
              </tr>
            </thead>
            <tfoot>
              <tr>
                <th class="type">Type</th>
                <th class="text">Text</th>
                <th class="author">Author</th>
              </tr>
            </tfoot>
            <tbody class="searchable">
                {{# each annotationsArray as |annotation|}}
                  <tr class="annotation clickable-row" id="{{annotation.id}}" uniqueName={{annotation.uniqueName}}>
                    <td class="type">{{ annotation.subType }}</td>
                    <td class="text">{{ annotation.displayText }}</td>
                    <td class="author">{{ annotation.author }}</td>
                    <td class="subType hidden">{{annotation.subType}}</td>
                    <td class="date hidden">{{annotation.date}}</td>
                    <td class="publication hidden">{{annotation.publication}}</td>
                    <td class="relativeFilePath hidden">{{annotation.relativeFilePath}}</td>
                    <td class="page hidden">{{annotation.page}}</td>
                    <td class="bibtexKey hidden">{{annotation.bibtexKey}}</td>
                  </tr>
                {{/each}}
            </tbody>
        </table>
      </div> <!--scrollable-table-container-->
    {{else}}
    <h5 class="warning center" style="margin-top:5em;">There either no or too many annotatations to display. Please adjust filters. If tag / author filter was used, please select publication of interest and enable again.</h5>
    {{/if}}
    <!--
    <p>Table with publications and ability to select them (checkboxes?)</p>
    display text in case
    -->
</div>
</div>

<div class="col-md-4 withbackground details-container">

    <div class="tab-content">
        <div id="annotation-details" class="tab-pane fade in active">
            {{> annotationDetails }}
        </div>
    </div>

</div>  <!--annotationDetails -->
<script>
// quick filter on publications;
        $('#filter-annotations').keyup(function () {

            var rex = new RegExp($(this).val(), 'i');
            $('.searchable tr').hide();
            $('.searchable tr').filter(function () {
                return rex.test($(this).text());
            }).show();

        });

</script>
